<p align="center">
  <img src="fastlane/metadata/android/en-US/images/icon.svg" width="200" alt="pulsemusic" />
</p>

<h1 align="center">Pulse Music</h1>

<p align="center"> An offline music player with modern UI and useful features</p>

<p align="center">
  <a title="License" target="_blank" href="https://github.com/HardcodeCoder/pulsemusic/blob/master/LICENSE">
    <img src="https://img.shields.io/github/license/hardcodecoder/pulsemusic?color=%23079A00" />
  </a>
  <a title="Latest release" target="_blank" href="https://github.com/HardcodeCoder/pulsemusic/releases/latest">
    <img src="https://img.shields.io/github/v/release/hardcodecoder/pulsemusic?color=%235F78FF" />
  </a>
  <a title="Downloads" target="_blank" href="https://github.com/HardcodeCoder/pulsemusic/releases">
    <img src="https://img.shields.io/github/downloads/hardcodecoder/pulsemusic/total?color=blue"/>
  </a>
  <a title="Crowdin" target="_blank" href="https://crowdin.com/project/pulse-music">
    <img src="https://badges.crowdin.net/pulse-music/localized.svg">
  </a>
</p>

<p align="center">
  <a href="https://f-droid.org/packages/com.hardcodecoder.pulsemusic">
    <img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.svg"
    alt="Get it on F-Droid"
    height="80">
  </a>

  <a href="https://github.com/HardcodeCoder/PulseMusic/releases/">
    <img src="https://raw.githubusercontent.com/flocke/andOTP/master/assets/badges/get-it-on-github.svg"
    alt="Get it on Github"
    height="80">
  </a>
</p>

<h2 align="center">Join us on</h2>
<p align="center">
    <a href="https://t.me/PulseMusicDiscussion">
        <img src="gallery/icons/telegram.svg" alt="Telegram logo" width="48" height="48">
    </a>
    <a href="https://twitter.com/hardcodecoder">
        <img src="gallery/icons/twitter.svg" alt="Twitter logo" width="48" height="48">
    </a>
</p>

<h2 align="center">Support development</h2>
<h4 align="center">Enjoying Pulse Music?</h4>
<p align="center">Please consider donating a small amount to support the development. It requires a lot of effort and time to develop an application, and that too keeping it open source and completely free.
</p>
<p align="center">
    <a href="https://paypal.me/HardcodeCoder">
    <img src="https://www.paypalobjects.com/webstatic/en_AU/i/buttons/btn_paywith_primary_l.png" alt="Pay with PayPal" width="200" height="51"  />
  </a>

  <a href="https://www.buymeacoffee.com/hardcodecoder">
    <img src="https://cdn.buymeacoffee.com/buttons/v2/default-blue.png" alt="Buy Me A Coffee" height="51" width="200" >
  </a>
</p>

## Contribution
**Help us make Pulse Music even better**

**Submit your changes/modifications/features via pull request.**

**Looking to translate this app to your own language? Submit your translations on [Crowdin](https://crwd.in/pulse-music)**



## Screenshots
| <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" width="200"/> |
|:---:|:---:|:---:|:---:|
| Home | Library | Albums |  Playlist |

### Now playing screen
| <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/6.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/7.png" width="200"/> |
|:---:|:---:|:---:|
| Modern | Stylish | Edge to edge |

### Themes
| <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/9.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/J.png" width="200"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/K.png" width="200"/> |
|:---:|:---:|:---:|
| Just gray | Lights out | Signature dark |

### Landscape ready
| <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/S.png" width="300"/> | <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/T.png" width="300"/> |
|:----:|:----:|
| Can change column count | Now playing screen |

More screenshots [Here](gallery/README.md)

### Home
Rediscover your offline collection with new suggestions based on your music preference
and mood.

### Library
Get your entire collection in one place

### Albums
Discover all the albums you have collected so far.

### Artist
Get to know all the tracks from your favorite artist

### Playlist
A powerful and customizable playlist manager where you can create your own playlist,
add tracks, change order and even add and remove tracks from your active playing queue.
But wait there's even more check it out yourself.

## Features
### Theme your music
With 3 different dark themes and several curated accents to choose from, customize your music player your way.
<br></br>
**Manual dark theme toggle** : Enable dark theme whenever you want
<br></br>
**Auto theme** : Pulse Music decides which theme to apply based on time of day
<br></br>
**Accent support** : Choose from several curated accent colors
<br></br>
**Desaturated colors** : Make accent colors desaturated to better suit the dark theme (works only in dark theme)
## Other features
- Custom accent support.
- Bluetooth AutoPlay.
- Quick Settings tile
- Launcher shortcuts
- Toggle playlist section(s)
- Option to blacklist folders.
- Customize Now Playing Screen
- Choose tracks from file explorer and play.
- Change column count in landscape mode (independent from portrait mode).
- Add, remove re-oder tracks in current queue as well as user created playlists.
- Smart search.
- App shortcut support to play tracks without even opening the app.
- All your favorite tracks in one place.
- Option to change now playing screen album cover corner radius.


IMPORTANT : *Please mention the steps to reproduce the bug while reporting. Providing logs will be really helpful*

#### Icons used in the project and in the app are provided by:

<a href="https://www.freepik.com" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a>

<a href="https://www.flaticon.com/authors/pixel-perfect" title="Pixel perfect">Pixel perfect</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a>